
<meta charset="utf-8">
<link href="../../css/templatemo_style.css" rel="stylesheet" type="text/css" />


<?php
session_start();
if (isset($_GET['s'])) {
    $s = $_GET['s'];
    $_SESSION['GROUPOFUSE'] = $s;
}


if ($_SESSION['GROUPOFUSE'] == 10 ) {
    $pagetitle = "Λόχου Διοικήσεως!!!";
    include('../../divs/header.php');
} else {
    require_once('../../login/login_functions.inc.php');
    $url = absolute_url('../../login/login.php');
    header("Location: $url");
    exit();
} ?>


<!--  MENU  -->

<div id="templatemo_menu_wrapper">

     <?php if (isset($_GET['s'])) {
        echo'<div id="templatemo_menu">
        <ul>
           <li><a href="LD.php" class="current"><span></span>Αρχική</a></li>
                
             <li><a href="enhmerosh.php" target="_parent" ><span></span>Δείτε τις πρόσφατες ανακοινώσεις</a></li>
                <li><a href="anakoinosh.php" target="_parent"><span></span>Αναρτήστε τη δική σας ανακοίνωση</a></li>
 <li><a href="kiniseis.php" target="_parent"><span></span>Κινήσεις</a></li>            
                <li><a href="../dkths/dkths.php?s=6"><span></span>Επιστροφή στη Σελίδα Διοικητή </a></li>
                <li><a href="logout.php" target="_parent"><span></span>Logout </a></li>
        </ul>    
        
	</div>';
    } else {
        echo'
    <div id="templatemo_menu">
         <ul>
           <li><a href="LD.php" class="current"><span></span>Αρχική</a></li>
                
             <li><a href="enhmerosh.php" target="_parent" ><span></span>Δείτε τις πρόσφατες ανακοινώσεις</a></li>
                <li><a href="anakoinosh.php" target="_parent"><span></span>Αναρτήστε τη δική σας ανακοίνωση</a></li>
 <li><a href="kiniseis.php" target="_parent"><span></span>Κινήσεις</a></li>            
               
                <li><a href="logout.php" target="_parent"><span></span>Logout </a></li>
        </ul>    
      
        
	</div>';} ?>
</div> <!-- end of templatemo_menu -->








<!-- CONTENT -->
<div id="templatemo_main"> <span class="tm_bottom"></span>
    <?php
    require_once('../../mysqli_connect.php');

    if (isset($_POST['submitted'])) {
        $user = $_SESSION['GROUPOFUSE'];
      //  echo $user;
        $errors = array();

        if (!isset($_POST['para'])) {
            $errors[] = 'Δεν έχετε επιλέξει ούτε ένα παραλήπτη για την ανακοίνωσή σας.
                Παρακαλώ επιλέξτε τουλαχιστον ένα παραληπτη!!! ';
        } else {
            $us = $_POST['para'];
            $N = count($_POST['para']);
            for ($i = 0; $i < $N; $i++) {
 $us[$i];
            }
        }




        // Check for a first name:
        if (empty($_POST['ana'])) {
            $errors[] = 'Το πεδίο των ανακοινώσεων είναι κενό .Παρακαλώ συμπληρώστε την ανακοίνωσή σας ';
        } else {
            $ana = mysqli_real_escape_string($dbc, trim($_POST['ana']));
        }


        if (empty($errors)) {

            $q = "Insert into enhmerosh Values ('','$ana') ";
            $r = @mysqli_query($dbc, $q);



            for ($i = 0; $i < $N; $i++) {
                $q1 = "SELECT distinct e.aa as aa, e.anakoinosh AS ana FROM enhmerosh e,
                anakoinoshapopros a WHERE e.anakoinosh='$ana'";
                $r1 = @mysqli_query($dbc, $q1);
                while ($row = mysqli_fetch_array($r1, MYSQLI_ASSOC)) {
                    $aa = $row['aa'];
                    $q3 = " Insert into anakoinoshapopros Values ($aa ,'$us[$i]', now(),'$user')";
                }
                $r3 = @mysqli_query($dbc, $q3);
            }
            if (mysqli_affected_rows($dbc) >= 1) {
                echo '<p><h1>Η ανακοίνωση καταχωρήθηκε επιτυχώς.</h1></p>';
            } else { // If it did not run OK.
                echo '<p class="error">Συγνώμη αλλά η ανακοίνω δεν αναρτήθηκε λόγω σφάλματος του δικτύου!!!</p>'; // Public message.
                //  echo '<p>' . mysqli_error($dbc) . '<br />Query: ' . $q . '</p>'; // Debugging message.
            }
        } else {

            echo '<p class="error">Συνέβησαν τα εξής λάθη:<br />';
            foreach ($errors as $msg) { // Print each error.
                echo " - $msg<br />\n";
            }
            echo '</p><p class="error">Παρακαλώ προσπαθήστε ξανά!!!</p>';
        } // End of if (empty($errors)) IF.
    }
    ?>
    <style>
        .error{
            color:red;
            font-size: larger;
            font-weight: bolder;
            text-align: center;
        }
        #buttons h1{

            color: #990;
            text-align: center;
        }
        #buttons h2{

            color: #FF9900;
            text-align: center;
        }

        #buttons p{

            text-align: center;

        }

    </style>
    <div id="buttons">    <form action="anakoinosh.php" method="post">
            </br>
            <h1> Γράψτε εδώ την ανακοίνωσή σας!!!:</h1>
            <p><textarea name="ana" id="ana" cols="65" rows="5"></textarea></p>
            </br> </br>
            <h1>Eπιλέξτε ένα ή περισσότερους παραλήπτες για την ανακοίνωσή σας:</h1>
            <p> <input type="checkbox" name="para[]" value="6">Διοικητής
                <input type="checkbox" name="para[]" value="5">Υποδιοικητής</p> </br>  
            <h2>Γραφεία:</h2>
            <p> <input type="checkbox" name="para[]" value="1">1ο Γραφείο
                <input type="checkbox" name="para[]" value="2">2ο Γραφείο
                <input type="checkbox" name="para[]" value="3">3ο Γραφείο
                <input type="checkbox" name="para[]" value="4">4ο Γραφείο </p>
            </br>
            </br>
            <h2>Λόχοι:</h2>
            <p> <input type="checkbox" name="para[]" value="7">1ος Λόχος
                <input type="checkbox" name="para[]" value="8">2ος Λόχος
                <input type="checkbox" name="para[]" value="9">3ος Λόχος
                <input type="checkbox" name="para[]" value="10">Λόχος Διοικήσεως
                <input type="checkbox" name="para[]" value="11">Λόχος Υποστηρίξεως Τάγματος</p>
            </br></br>
            <p><input type="submit" name="submit" value="Αναρτήστε την ανακοίνωσή σας!!!!" /></p>
            <input type="hidden" name="submitted" value="TRUE" />
        </form>
    </div>



    <div class="cleaner"></div>
</div> 


<!-- SIDEBAR -->








<?php
include('../../divs/footer.php');
?>
<style>
    #templatemo_menu ul li a:hover span, #templatemo_menu ul .current span {
        position: absolute;
        top: 0;
        left: 0;
        width: 5px;
        height: 33px;
        background: url(../images/templatemo_menu_left.jpg) no-repeat;
    }</style>